#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Library for importing and converting Corel WordPerfect(TM) Graphics images
Summary(pl.UTF-8):	Biblioteka do importowania i konwersji obrazów Corel WordPerfect Graphics
Name:		libwpg
Version:	0.3.4
Release:	1
License:	MPL v2.0 or LGPL v2.1+
Group:		Libraries
Source0:	https://downloads.sourceforge.net/libwpg/%{name}-%{version}.tar.xz
# Source0-md5:	8f3ef77c8f650b299693c4b79c59483a
URL:		https://libwpg.sourceforge.net/
BuildRequires:	doxygen
BuildRequires:	librevenge-devel >= 0.0.1
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libwpd-devel >= 0.10
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	librevenge >= 0.0.1
Requires:	libwpd >= 0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libwpg project is a collection of library and tools to work with
graphics in WPG (WordPerfect Graphics) format. WPG is the format used
among others in Corel software, such as WordPerfect(TM) and
Presentations(TM).

%description -l pl.UTF-8
Projekt libwpg to zestaw biblioteki i narzędzi do pracy z obrazami w
formacie WPG (WordPerfect Graphics). WPG to format używany między
innymi w programach firmy Corel, takich jak WordPerfect(TM) i
Presentations(TM).

%package devel
Summary:	Header files for libwpg library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libwpg
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	librevenge-devel >= 0.0.1
Requires:	libstdc++-devel >= 6:4.7
Requires:	libwpd-devel >= 0.10

%description devel
Header files for libwpg library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libwpg.

%package static
Summary:	Static libwpg library
Summary(pl.UTF-8):	Statyczna biblioteka libwpg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libwpg library.

%description static -l pl.UTF-8
Statyczna biblioteka libwpg.

%package apidocs
Summary:	API documentation for libwpg library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libwpg
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for libwpg library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libwpg.

%package tools
Summary:	Tools to transform WordPerfect Graphics into other formats
Summary(pl.UTF-8):	Narzędzia do konwersji plików z formatu WordPerfect Graphics do innych
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform WordPerfect Graphics (WPG) into other formats.

%description tools -l pl.UTF-8
Narzędzia do konwersji plików z formatu WordPerfect Graphics do innych
formatów.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
# packages as %doc in -devel
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}/html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/libwpg-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwpg-0.3.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwpg-0.3.so
%{_includedir}/libwpg-0.3
%{_pkgconfigdir}/libwpg-0.3.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libwpg-0.3.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc docs/doxygen/html/*

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wpg2raw
%attr(755,root,root) %{_bindir}/wpg2svg
%attr(755,root,root) %{_bindir}/wpg2svgbatch.pl
%changelog
* Fri Jun 02 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libwpg.git;a=log;h=master

* Fri Jun 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 41320e9
- updated to 0.3.4

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 791a6d2
- unconditional noarch subpackages

* Wed May 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 1be1209
- updated to 0.3.3

* Fri Jul 13 2018 Jakub Bogusz <qboosh@pld-linux.org> b552a39
- requires C++ 11 now

* Sun Feb 11 2018 Jan Rękorajski <baggins@pld-linux.org> f110043
- up to 0.3.2

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> f9480b1
- noarch apidocs

* Fri Jan 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 75f2a65
- updated to 0.3.1

* Fri Mar 13 2015 Jan Rękorajski <baggins@pld-linux.org> cf5671d
- release 2 (by relup.sh)

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 35ac1d7
- updated to 0.3.0 (now librevenge based; new soname, 0.2.x left on libwpg-0.2 branch)

* Thu Apr 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 1277ee9
- updated to 0.2.2

* Mon Sep 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 87377bb
- release 4

* Fri Jul 22 2011 lisu <lisu@pld-linux.org> d2b1dc6
- drop libtool file
- rel 3

* Fri Jul 22 2011 lisu <lisu@pld-linux.org> 7d87068
- rel 2

* Sun Nov 21 2010 Jakub Bogusz <qboosh@pld-linux.org> 40ac4dc
- cleanup: libwpg now uses libwpd stream abstraction
- package NEWS as doc

* Thu Nov 18 2010 Caleb Maclennan <caleb@alerque.com> 9589eee
- Up to 0.2.0
- Bump so versions
- Requires libwpd >= 0.9
- libwpg-stream libraries no longer present?

* Tue Jul 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 0327869
- updated to 0.1.3

* Fri May 16 2008 Jakub Bogusz <qboosh@pld-linux.org> 81a679a
- -devel R: libwpd-devel

* Thu May 15 2008 tommat <tommat@pld-linux.org> 7cce98f
- BR: libwpd-devel

* Mon Jan 28 2008 Jakub Bogusz <qboosh@pld-linux.org> fe56959
- more verbose files
- added AUTHORS and ChangeLog instead of empty README

* Mon Jan 28 2008 Jakub Bogusz <qboosh@pld-linux.org> 2332aec
- pl

